Summary: help2man is a tool for generating simple man pages from program output
Name: help2man
Version: 1.36.4
Release: 2tr
Source: ftp://ftp.gnu.org/gnu/help2man/%{name}-%{version}.tar.gz
Source1: help2man.sh
Source2: help2man.csh
Patch0: help2man-1.33-trustix.patch
Group: Trustix Official
PreReq: htmlinfo
Requires: perl
BuildRequires: texinfo
License: GPL
BuildRoot: /var/tmp/%{name}-root

%description
help2man is a GNU tool for automatically generating simple manual pages from
program output.

It is intended to provide an easy way for software vendors to include a
manual page in their distribution without having to maintain that document.

Given a program which produces reasonably standard --help and --version
outputs, help2man will attempt to re-arrange that output into something
which resembles a manual page.

%prep
%setup -q
%patch -p1

%build
%configure --disable-nls

make

# Yes, this fails.
makeinfo --html --no-split --force %{name}.texi || :

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/html/%{name}
install -m 644 %{name}.html $RPM_BUILD_ROOT/usr/share/html/%{name}/
%makeinstall

mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d/
rm $RPM_BUILD_ROOT/usr/share/info/help2man.info*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%files
%defattr(-,root,root,0755)
/etc/profile.d/*
/usr/bin/*
%{_mandir}/man1/*
/usr/share/html/%{name}

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Jun 19 2006 Nived Gopalan <nived at trustix dot org> 1.36.4-1tr
- New Upstream

* Wed Mar 16 2005 Nived Gopalan  <nived at comodo dot com> 1.35.1-3tr
- Rebuilt

* Fri Feb 18 2005 Raghu <raghu at comodo dot com> 1.35.1-2tr
- New Upstream

* Thu Dec 11 2003 Erlend Midttun <erlendbm at trustix dot org> 1.33-1em
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.29-4tr
- Now with execute permission on the sourced files.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.29-3tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.29-2tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.29-1em
- Initial release.

